package biz.hammurapi.swing;

import java.util.List;

import javax.swing.tree.TreeNode;

/**
 * Adds TableVisualizable to LazyTreeNode to simplify implementation
 * of visualizables.
 * @author Pavel
 *
 */
public abstract class LazyTreeNodeTableVisualizable extends LazyTreeNode implements TableVisualizable {

	public LazyTreeNodeTableVisualizable(TreeNode parent, String name, List children) {
		super(parent, name, children);
	}

	public LazyTreeNodeTableVisualizable(TreeNode parent, String name) {
		super(parent, name);
	}

	public LazyTreeNodeTableVisualizable(TreeNode parent) {
		super(parent);
	}

}
